Loading...
Searching...
No Matches
swapper< BinaryFunction >

## Detailed Description

template<class BinaryFunction>
struct rheolef::details::swapper< BinaryFunction >

Definition at line 1902 of file expression.h.

## Public Member Functions

| swapper (const BinaryFunction &f)
template<class A1 , class A2 >
generic_binary_traits< BinaryFunction >::template result_hint< A2, A1 >::type | operator() (const A1 &x1, const A2 &x2) const

## Protected Attributes

BinaryFunction | _f

## Constructor & Destructor Documentation

## swapper()

template<class BinaryFunction >

swapper | ( | const BinaryFunction & | f | ) |

Definition at line 1903 of file expression.h.

## Member Function Documentation

## operator()()

template<class BinaryFunction >
template<class A1 , class A2 >

generic_binary_traits< BinaryFunction >::template result_hint< A2, A1 >::type operator() | ( | const A1 & | x1,
|  | const A2 & | x2
| ) |  | const

Definition at line 1906 of file expression.h.

## Member Data Documentation

## _f

template<class BinaryFunction >

BinaryFunction _f

protected

Definition at line 1908 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/expression.h